import type { PSEnv, PSModule, PSValue } from "./types.js";
import type { Operation } from "./deps.js";
export interface LoadOptions {
    location: string | URL;
    base?: string;
    env?: PSEnv;
}
export declare function load(options: LoadOptions): Operation<PSModule>;
export interface ModuleEvalOptions {
    location: string | URL;
    body: PSValue;
    env?: PSEnv;
}
export declare function moduleEval(options: ModuleEvalOptions): Operation<PSModule>;
